## org.apache.mahout.vectorizer.encoders
Class ConstantValueEncoder

    java.lang.Object
      org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
          org.apache.mahout.vectorizer.encoders.ConstantValueEncoder

    public class ConstantValueEncoder

extends FeatureVectorEncoder

An encoder that does the standard thing for a virtual bias term.

Field Summary

Fields inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`CONTINUOUS_VALUE_HASH_SEED, WORD_LIKE_VALUE_HASH_SEED`

Constructor Summary
`ConstantValueEncoder(java.lang.String name)`

Method Summary
`void` `addToVector(byte[] originalForm, double weight, Vector data)`
`java.lang.String` `asString(java.lang.String originalForm)` Converts a value into a form that would help a human understand the internals of how the value is being interpreted.
`protected double` `getWeight(byte[] originalForm, double w)`
`protected int` `hashForProbe(byte[] originalForm, int dataSize, java.lang.String name, int probe)` Provides the unique hash for a particular probe.

Methods inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`addToVector, addToVector, addToVector, bytesForString, getName, getProbes, hash, hash, hash, hash, hash, hashesForProbe, isTraceEnabled, setProbes, setTraceDictionary, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstantValueEncoder

    public ConstantValueEncoder(java.lang.String name)

Method Detail

### addToVector

    public void addToVector(byte[] originalForm,
                            double weight,
                            Vector data)

  Specified by:
    `addToVector` in class `FeatureVectorEncoder`

### getWeight

    protected double getWeight(byte[] originalForm,
                               double w)

  Overrides:
    `getWeight` in class `FeatureVectorEncoder`

### asString

    public java.lang.String asString(java.lang.String originalForm)

  Description copied from class: `FeatureVectorEncoder`
  Converts a value into a form that would help a human understand the internals of how the value is being interpreted. For text-like things, this is likely to be a list of the terms found with associated weights (if any).

  Specified by:
    `asString` in class `FeatureVectorEncoder`
  Parameters:
    `originalForm` - The original form of the value as a string.
  Returns:
    A string that a human can read.

### hashForProbe

    protected int hashForProbe(byte[] originalForm,
                               int dataSize,
                               java.lang.String name,
                               int probe)

  Description copied from class: `FeatureVectorEncoder`
  Provides the unique hash for a particular probe. For all encoders except text, this is all that is needed and the default implementation of hashesForProbe will do the right thing. For text and similar values, hashesForProbe should be over-ridden and this method should not be used.

  Specified by:
    `hashForProbe` in class `FeatureVectorEncoder`
  Parameters:
    `originalForm` - The original byte array value
    `dataSize` - The length of hte vector being encoded
    `name` - The name of the variable being encoded
    `probe` - The probe number
  Returns:
    The hash of the current probe

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.